%global	module	tkrzw

Name:		python-%{module}
Version:	0.1.30
Release:    	2%{?dist}
License:	ASL 2.0
Summary:	TKRZW Python bindings
URL:		https://dbmx.net/tkrzw/
Source0:	https://dbmx.net/tkrzw/pkg-python/%{module}-python-%{version}.tar.gz
Patch0:		%{name}-%{version}.patch
BuildRequires:	gcc-c++
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)
BuildRequires:	tkrzw >= 1.0.27
BuildRequires:	pkgconfig(tkrzw) >= 1.0.27
BuildRequires:	python3dist(sphinx)
ExcludeArch:	i686

%description
TKRZW is a library of routines for managing a key-value database.

%package -n	python3-%{module}
Summary:	%{summary}

%description -n	python3-%{module}
TKRZW is a library of routines for managing a key-value database.

%package	doc
Summary:	%{summary} - API documentation
BuildArch:	noarch

%description	doc
TKRZW is a library of routines for managing a key-value database.
This package contains API documentation of it.


%prep
%autosetup -n %{module}-python-%{version}


%build
%py3_build
%make_build apidoc


%install
%py3_install


%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%make_build check


%files -n python3-%{module}
%license COPYING
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/tkrzw.cpython-%{python3_version_nodots}-*-linux-gnu*.so

%files doc
%license COPYING
%doc README CONTRIBUTING.md example?.py api-doc/


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 0.1.30-2
- [Type] other
- [DESC] Rebrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.30-1
- initial build
